このエンドポイントは、帽子のバーチャル試着プロセスを開始します。ソースファイル、参照ファイル(URL または ID)、性別、スタイルパラメータを指定する必要があります。タスクは非同期で処理され、このレスポンスで返される task_id を使用してステータスを確認できます。
セキュリティ
BearerAuthenticationV2
Any of:
服装と背景のスタイルを制御します。
デフォルト:"random"
Enum:"random""style_sporty_casual""style_urban_fashion""style_vacation_casual""style_warm_cozy""style_bohemian"
例:"random"
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/hat
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/hat \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"ref_file_url": "https://example.com/accessory.jpg",
"gender": "female",
"style": "random"
}'レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }